<template>
  <v-container>
    <v-row>
      <v-col>
        <v-btn @click="isPieChart = true" dark color="primary" class="switchBtn"
          >PieChart</v-btn
        >
      </v-col>
      <v-col>
        <v-btn
          @click="isPieChart = false"
          dark
          color="primary"
          class="switchBtn"
          >BarChart</v-btn
        >
      </v-col></v-row
    >
    <PieChart :chartdata="chartdata" v-if="isPieChart" />
    <BarChart :chartdata="chartdata" v-if="!isPieChart" />
  </v-container>
</template>


 
    
   


<script>
import BarChart from "./BarChart.vue";
import PieChart from "./PieChart.vue";
export default {
  name: "VoteResult",
  props: {
    data: String,
  },
  components: {
    BarChart,
    PieChart,
  },
  data: function () {
    return {
      isPieChart: false,
      chartdata: [
        {
          voteId: 1,
          value: true,
        },
        {
          voteId: 2,
          value: false,
        },
        {
          voteId: 3,
          value: false,
        },
        {
          voteId: 4,
          value: true,
        },
        {
          voteId: 5,
          value: false,
        },
        {
          voteId: 6,
          value: true,
        },
        {
          voteId: 7,
          value: true,
        },
        {
          voteId: 8,
          value: true,
        },
      ],
    };
  },
};
</script>
<style scoped>
.switchBtn {
  width: 100%;
}
</style>
